Bug 427467 - Red Hat's (instance of) Bugzilla reported an internal error after I had added a comment to an existing defect report
Red Hat's (instance of) Bugzilla reported an internal error after I had added...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.2
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 19:11 EST by Mark Harig
Modified: 2013-06-23 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-25 17:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The page-source for the 'internal error' web page that Red Hat's instance of Bugzilla generated. (8.55 KB, text/plain)
2008-01-03 19:11 EST, Mark Harig
no flags Details

  None (edit)
Description Mark Harig 2008-01-03 19:11:12 EST
Description of problem:
Message displayed after I clicked on 'Save' for Bug #416731:

Bugzilla has suffered an internal error. Please save this page and send
it to bugzilla-owner@redhat.com with details of what you were doing at
the time this message appeared along with the full URL string from your
browser location window.

Version-Release number of selected component (if applicable):
Bugzilla Version 2.18-rh

How reproducible:
I did not attempt to reproduce the problem.  Instead, I was able to resolve it
successfully by following these instructions that Bugzilla provided on the web page:

   "Form field knob was not defined; this may indicate a bug in your browser.
    Check that the "Leave as..." radio button was selected."

I clicked on the 'Back' button on my browser (Firefox-2.0.0.10-3.fc8 running on
Fedora 8), and found that the radio button next to the field 'Leave as New' was
off.  I clicked on that button and then on 'Save' to save my comment.  This
completed without any errors.

Steps to Reproduce:
1. Enter a comment into a Bugzilla report.
2. Turn off the radio button next to the 'Leave as ...' field.
3. Click on the 'Save' button.
  
Actual results:
The error-message web page should then be generated.

Expected results:
An error message should be generated, but the user should be prevented from
leaving the original Bugzilla report until the radio button is turned on.  No
web page with an "Internal Error" message should be displayed.

Additional info:
Comment 1 Mark Harig 2008-01-03 19:11:12 EST
Created attachment 290807 [details]
The page-source for the 'internal error' web page that Red Hat's instance of Bugzilla generated.
Comment 2 David Lawrence 2008-09-16 12:55:41 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Note You need to log in before you can comment on or make changes to this bug.